| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
Digikam::LensFunIface Class Reference

## Public Types
typedef const lfCamera * | DevicePtr
typedef QList< LensPtr > | LensList
typedef const lfLens * | LensPtr
enum | MetadataMatch { MetadataUnavailable = -2 , MetadataNoMatch = -1 , MetadataPartialMatch = 0 , MetadataExactMatch = 1 }

## Public Member Functions
DevicePtr | findCamera (const QString &make, const QString &model) const
MetadataMatch | findFromMetadata (const DMetadata *const meta)
LensPtr | findLens (const QString &model) const
QString | lensDescription () const
| Return Lens string description found in metadata.
const lfCamera *const * | lensFunCameras () const
lfDatabase * | lensFunDataBase () const
QString | makeDescription () const
| Return Camera maker string description found in metadata.
QString | modelDescription () const
| Return Camera model string description found in metadata.
void | setFilterSettings (const LensFunContainer &other)
void | setSettings (const LensFunContainer &other)
LensFunContainer | settings () const
void | setUsedCamera (DevicePtr cam)
void | setUsedLens (LensPtr lens)
bool | supportsCCA () const
bool | supportsDistortion () const
bool | supportsGeometry () const
bool | supportsVig () const
DevicePtr | usedCamera () const
LensPtr | usedLens () const

## Static Public Member Functions
static QString | lensFunVersion ()